Bug 65117 - Kernel-2.4.18-4 RPM "fatal error: unable to find a suitable template"
Kernel-2.4.18-4 RPM "fatal error: unable to find a suitable template"
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 14:54 EDT by Dennis Brylow
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-22 15:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
grub.conf (575 bytes, text/plain)
2002-05-22 15:30 EDT, Dennis Brylow
no flags Details

  None (edit)
Description Dennis Brylow 2002-05-17 14:54:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
Fresh install of RedHat 7.3, on a 450MHz AMD system.  Installing errata kernel
upgrade to kernel-2.4.18-4.i386.rpm succeeds (as far as I can tell), but
generates error message "fatal error: unable to find a suitable template" before
This really doesn't seem to be a kernel bug per se; more probably a kernel RPM

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Fresh install of RedHat 7.3, standard Workstation, English.
2. Download errata for RedHat 7.3
3. Install kernel upgrade: rpm -UvhF kernel-2.4.18-4.i386.rpm

Actual Results:  Kernel upgrade installs properly.  However, rpm generates error
message "fatal error: unable to find a suitable template" before exiting.

Expected Results:  Critical operation like kernel upgrade should not mention
"fatal errors", even if it actually succeeds.

Additional info:

Haven't had time to try to duplicate this, or to dig into the kernel spec file.
 Timing of error message suggests to me that it could be thrown by some line in
the post-install section.  I have no clue what a "suitable template" could be in
this particular context, or why it would not be found.

This seems low priority, as I don't see any reports of anyone else having a
similar problem, and it doesn't seem to have actually broken anything.  But I've
never seen that particular error message in dozens of other RedHat
installations, and I was pretty miffed to have it pop up in my very first RedHat
7.3 install on my personal machine at home.
Comment 1 Arjan van de Ven 2002-05-21 05:57:38 EDT
this message seems to come from grubby (part of mkinitrd)
Comment 2 Erik Troan 2002-05-21 23:04:07 EDT
yep, definitely -- could you let us see your grub.conf?
Comment 3 Dennis Brylow 2002-05-22 15:30:17 EDT
Created attachment 58244 [details]
Comment 4 Dennis Brylow 2002-05-22 15:31:14 EDT
Very interesting.  I do not use grub, I am a lilo kind of guy.  I've really
never looked into grub's configuration before.  I think I see where this error
is coming from, now.

My system has multiple installations of Linux distros.  After I allow RedHat to
do a fresh install on a subset of the partitions, I tar up the contents of
/boot, and move them over to a dedicated boot partition.  This has never been a
problem in the past, but I see that grub.conf cares a great deal about the
precise partitions and paths related to /boot.  I'm attaching my
anaconda-generated grub.conf file, which contains outdated information.

If, as a LILO user, I do not wish to maintain a separate set of grub
configuration files, how can I eliminate "fatal error" messages during kernel
Comment 5 Erik Troan 2002-06-06 16:55:50 EDT
erase /boot/grub/grub.conf; that should fix the problem for good. as long as
you use lilo, you don't need it anyway.

Note You need to log in before you can comment on or make changes to this bug.